require 'quby/compiler/services/quby_proxy'

module Quby
  module Compiler
    module Outputs
      class SeedSerializer
        attr_reader :questionnaire
        attr_reader :seeds

        def initialize(questionnaire)
          @questionnaire = questionnaire
          @seeds = seeds || []
        end

        def generate
          questionnaire.roqua_keys.map do |roqua_key|
            new_seed = Services::QubyProxy.new(
              questionnaire,
              quby_key: questionnaire.key,
              roqua_key: roqua_key,
              skip_score_keys_consistency_check: true
            ).generate

            Services::SeedDiff.new.apply_patch(new_seed, questionnaire.seeds_patch[roqua_key])
          end
        end
      end
    end
  end
end
